<?php
/**
 * The template for displaying Author Archive pages
 *
 * Used to display archive-type pages for posts by an author.
 *
 * @link http://codex.wordpress.org/Template_Hierarchy
 *
 * @package WordPress
 * @subpackage Handart_Theme
 * @since Handart 1.0
 */
$handart_opt = get_option( 'handart_opt' );
get_header();
$handart_bloglayout = 'sidebar';
if(isset($handart_opt['blog_layout']) && $handart_opt['blog_layout']!=''){
	$handart_bloglayout = $handart_opt['blog_layout'];
}
if(isset($_GET['layout']) && $_GET['layout']!=''){
	$handart_bloglayout = $_GET['layout'];
}
$handart_blogsidebar = 'right';
if(isset($handart_opt['sidebarblog_pos']) && $handart_opt['sidebarblog_pos']!=''){
	$handart_blogsidebar = $handart_opt['sidebarblog_pos'];
}
if(isset($_GET['sidebar']) && $_GET['sidebar']!=''){
	$handart_blogsidebar = $_GET['sidebar'];
}
if ( !is_active_sidebar( 'sidebar-1' ) )  {
	$handart_bloglayout = 'nosidebar';
}
$handart_blog_main_extra_class = NULl;
if($handart_blogsidebar=='left') {
	$handart_blog_main_extra_class = 'order-lg-last';
}
$main_column_class = NULL;
switch($handart_bloglayout) {
	case 'sidebar':
		$handart_blogclass = 'blog-sidebar';
		$handart_blogcolclass = 9;
		$main_column_class = 'main-column';
		Handart_Class::handart_post_thumbnail_size('handart-post-thumb');
		break;
	case 'largeimage':
		$handart_blogclass = 'blog-large';
		$handart_blogcolclass = 9;
		$main_column_class = 'main-column';
		Handart_Class::handart_post_thumbnail_size('handart-post-thumbwide');
		break;
	case 'grid':
		$handart_blogclass = 'grid';
		$handart_blogcolclass = 9;
		$main_column_class = 'main-column';
		Handart_Class::handart_post_thumbnail_size('handart-post-thumbwide');
		break;
	default:
		$handart_blogclass = 'blog-nosidebar';
		$handart_blogcolclass = 12;
		$handart_blogsidebar = 'none';
		Handart_Class::handart_post_thumbnail_size('handart-post-thumb');
}
?>
<div class="main-container">
	<div class="breadcrumb-container">
		<div class="container">
			<header class="entry-header">
				<h2 class="entry-title"><?php the_archive_title(); ?></h2>
			</header>
			<?php Handart_Class::handart_breadcrumb(); ?> 
		</div>
	</div>
	<div class="container">
		<div class="row">
			<div class="col-12 <?php echo 'col-lg-'.$handart_blogcolclass; ?> <?php echo ''.$main_column_class; ?> <?php echo esc_attr($handart_blog_main_extra_class);?>">
				<div class="page-content blog-page blogs <?php echo esc_attr($handart_blogclass); if($handart_blogsidebar=='left') {echo ' left-sidebar'; } if($handart_blogsidebar=='right') {echo ' right-sidebar'; } ?>">
					<?php if ( have_posts() ) : ?>
						<?php
							/* Queue the first post, that way we know
							 * what author we're dealing with (if that is the case).
							 *
							 * We reset this later so we can run the loop
							 * properly with a call to rewind_posts().
							 */
							the_post();
						?>
						<?php
						// If a user has filled out their description, show a bio on their entries.
						if ( get_the_author_meta( 'description' ) ) : ?>
							<div class="archive-header">
								<h3 class="archive-title"><?php printf( esc_html__( 'Author Archives: %s', 'handart' ), '<span class="vcard"><a class="url fn n" href="' . esc_url( get_author_posts_url( get_the_author_meta( "ID" ) ) ) . '" title="' . esc_attr( get_the_author() ) . '">' . get_the_author() . '</a></span>' ); ?></h3>
								<div class="author-info archives">
									<div class="author-avatar">
										<?php
										/**
										 * Filter the author bio avatar size.
										 *
										 * @since Handart 1.0
										 *
										 * @param int $size The height and width of the avatar in pixels.
										 */
										$author_bio_avatar_size = apply_filters( 'handart_author_bio_avatar_size', 68 );
										echo get_avatar( get_the_author_meta( 'user_email' ), $author_bio_avatar_size );
										?>
									</div><!-- .author-avatar -->
									<div class="author-description">
										<h2><?php printf( esc_html__( 'About %s', 'handart' ), get_the_author() ); ?></h2>
										<p><?php the_author_meta( 'description' ); ?></p>
									</div><!-- .author-description	-->
								</div><!-- .author-info -->
							</div><!-- .archive-header -->
						<?php endif; ?>
						<?php
							/* Since we called the_post() above, we need to
							 * rewind the loop back to the beginning that way
							 * we can run the loop properly, in full.
							 */
							rewind_posts();
						?>
						<div class="post-container">
							<?php /* Start the Loop */ ?>
							<?php while ( have_posts() ) : the_post(); ?>
								<?php get_template_part( 'content', get_post_format() ); ?>
							<?php endwhile; ?>
						</div>
						<?php Handart_Class::handart_pagination(); ?>
					<?php else : ?>
						<?php get_template_part( 'content', 'none' ); ?>
					<?php endif; ?>
				</div>
			</div>
			<?php get_sidebar(); ?>
		</div>
	</div>
 	<!-- brand logo -->
 	<?php 
 		if(isset($handart_opt['inner_brand']) && function_exists('handart_brands_shortcode') && shortcode_exists( 'ourbrands' ) ){
 			if($handart_opt['inner_brand'] && isset($handart_opt['brand_logos'][0]) && $handart_opt['brand_logos'][0]['thumb']!=null) { ?>
 				<div class="inner-brands">
 					<div class="container">
 						<?php if(isset($handart_opt['inner_brand_title']) && $handart_opt['inner_brand_title']!=''){ ?>
 							<div class="heading-title style1 ">
 								<h3><?php echo esc_html( $handart_opt['inner_brand_title'] ); ?></h3>
 							</div>
 						<?php } ?>
 						<?php echo do_shortcode('[ourbrands]'); ?>
 					</div>
 				</div>
 			<?php }
 		}
 	?>
 	<!-- end brand logo --> 
</div>
<?php get_footer(); ?>