<?php
if (!function_exists('handart_get_slider_setting')) {
    function handart_get_slider_setting()
    {
        return array(
            array(
                'type' => 'dropdown',
                'heading' => esc_html__('Style', 'handart'),
                'param_name' => 'style',
                'value' => array(
                    __('Grid view', 'handart') => 'product-grid',
                    __('List view', 'handart') => 'product-list',
                    __('Countdown', 'handart') => 'product-countdown',
                    __('Grid view with countdown', 'handart') => 'product-grid-countdown'
                )
            ),
            array(
                'type' => 'checkbox',
                'heading' => __('Enable slider', 'handart'),
                'description' => __('If slider is enabled, the "column" ins General group is the number of rows ', 'handart'),
                'param_name' => 'enable_slider',
                'value' => true,
                'save_always' => true,
                'group' => __('Slider Options', 'handart')
            ),
            array(
                'type' => 'textfield',
                'heading' => __('Number of columns (screen: over 1500px)', 'handart'),
                'param_name' => 'items_1500up',
                'group' => __('Slider Options', 'handart'),
                'value' => esc_html__('4', 'handart')
            ),
            array(
                'type' => 'textfield',
                'heading' => __('Number of columns (screen: 1200px - 1499px)', 'handart'),
                'param_name' => 'items_1200_1499',
                'group' => __('Slider Options', 'handart'),
                'value' => esc_html__('4', 'handart')
            ),
            array(
                'type' => 'textfield',
                'heading' => __('Number of columns (screen: 992px - 1199px)', 'handart'),
                'param_name' => 'items_992_1199',
                'group' => __('Slider Options', 'handart'),
                'value' => esc_html__('4', 'handart')
            ),
            array(
                'type' => 'textfield',
                'heading' => __('Number of columns (screen: 768px - 991px)', 'handart'),
                'param_name' => 'items_768_991',
                'group' => __('Slider Options', 'handart'),
                'value' => esc_html__('3', 'handart')
            ),
            array(
                'type' => 'textfield',
                'heading' => __('Number of columns (screen: 640px - 767px)', 'handart'),
                'param_name' => 'items_640_767',
                'group' => __('Slider Options', 'handart'),
                'value' => esc_html__('2', 'handart')
            ),
            array(
                'type' => 'textfield',
                'heading' => __('Number of columns (screen: 480px - 639px)', 'handart'),
                'param_name' => 'items_480_639',
                'group' => __('Slider Options', 'handart'),
                'value' => esc_html__('2', 'handart')
            ),
            array(
                'type' => 'textfield',
                'heading' => __('Number of columns (screen: under 479px)', 'handart'),
                'param_name' => 'items_0_479',
                'group' => __('Slider Options', 'handart'),
                'value' => esc_html__('1', 'handart')
            ),
            array(
                'type' => 'dropdown',
                'heading' => __('Navigation', 'handart'),
                'param_name' => 'navigation',
                'save_always' => true,
                'group' => __('Slider Options', 'handart'),
                'value' => array(
                    __('Yes', 'handart') => true,
                    __('No', 'handart') => false
                )
            ),
            array(
                'type' => 'dropdown',
                'heading' => __('Pagination', 'handart'),
                'param_name' => 'pagination',
                'save_always' => true,
                'group' => __('Slider Options', 'handart'),
                'value' => array(
                    __('No', 'handart') => false,
                    __('Yes', 'handart') => true
                )
            ),
            array(
                'type' => 'textfield',
                'heading' => __('Item Margin (unit: pixel)', 'handart'),
                'param_name' => 'item_margin',
                'value' => 30,
                'save_always' => true,
                'group' => __('Slider Options', 'handart')
            ),
            array(
                'type' => 'textfield',
                'heading' => __('Slider speed number (unit: second)', 'handart'),
                'param_name' => 'speed',
                'value' => '500',
                'save_always' => true,
                'group' => __('Slider Options', 'handart')
            ),
            array(
                'type' => 'checkbox',
                'heading' => __('Slider loop', 'handart'),
                'param_name' => 'loop',
                'value' => true,
                'group' => __('Slider Options', 'handart')
            ),
            array(
                'type' => 'checkbox',
                'heading' => __('Slider Auto', 'handart'),
                'param_name' => 'auto',
                'value' => true,
                'group' => __('Slider Options', 'handart')
            ),
            array(
                'type' => 'dropdown',
                'heading' => esc_html__('Navigation style', 'handart'),
                'param_name' => 'navigation_style',
                'group' => __('Slider Options', 'handart'),
                'value' => array(
                    __('Navigation center horizontal', 'handart') => 'navigation-style1',
                    __('Navigation center horizontal 2', 'handart') => 'navigation-style2'
                )
            )
        );
    }
}
//Shortcodes for Visual Composer
add_action('vc_before_init', 'handart_vc_shortcodes');
function handart_vc_shortcodes()
{
    //Site logo
    vc_map(array(
        'name' => esc_html__('Logo', 'handart'),
        'description' => __('Insert logo image', 'handart'),
        'base' => 'roadlogo',
        'class' => '',
        'category' => esc_html__('Theme', 'handart'),
        "icon" => get_template_directory_uri() . "/images/road-icon.jpg",
        'params' => array(
            array(
                'type' => 'attach_image',
                'holder' => 'div',
                'class' => '',
                'heading' => esc_html__('Upload logo image', 'handart'),
                'description' => esc_html__('Note: For retina screen, logo image size is at least twice as width and height (width is set below) to display clearly', 'handart'),
                'param_name' => 'logo_image',
                'value' => ''
            ),
            array(
                'type' => 'dropdown',
                'holder' => 'div',
                'class' => '',
                'heading' => esc_html__('Insert logo link or not', 'handart'),
                'param_name' => 'logo_link',
                'value' => array(
                    'Yes' => 'yes',
                    'No' => 'no'
                )
            ),
            array(
                'type' => 'textfield',
                'holder' => 'div',
                'class' => '',
                'heading' => __('Logo width (unit: px)', 'handart'),
                'description' => esc_html__('Insert number. Leave blank if you want to use original image size', 'handart'),
                'param_name' => 'logo_width',
                'value' => esc_html__('150', 'handart')
            )
        )
    ));
    //Main Menu
    vc_map(array(
        'name' => esc_html__('Main Menu', 'handart'),
        'description' => __('Set Primary Menu in Apperance - Menus - Manage Locations', 'handart'),
        'base' => 'roadmainmenu',
        'class' => '',
        'category' => esc_html__('Theme', 'handart'),
        "icon" => get_template_directory_uri() . "/images/road-icon.jpg",
        'params' => array(
            array(
                'type' => 'attach_image',
                'holder' => 'div',
                'class' => '',
                'heading' => esc_html__('Upload sticky logo image', 'handart'),
                'description' => esc_html__('Note: For retina screen, sticky logo image size is at least twice as width and height (width is set below) to display clearly', 'handart'),
                'param_name' => 'sticky_logoimage',
                'value' => ''
            ),
            array(
                'type' => 'textfield',
                'holder' => 'div',
                'class' => '',
                'heading' => __('Sticky logo width (unit: px)', 'handart'),
                'description' => esc_html__('Insert number. Leave blank if you want to use original image size', 'handart'),
                'param_name' => 'sticky_logoimage_width',
                'value' => esc_html__('150', 'handart')
            )
        )
    ));
    //Mobile Menu
    vc_map(array(
        'name' => esc_html__('Mobile Menu', 'handart'),
        'description' => __('Set Mobile Menu in Apperance - Menus - Manage Locations', 'handart'),
        'base' => 'roadmobilemenu',
        'class' => '',
        'category' => esc_html__('Theme', 'handart'),
        "icon" => get_template_directory_uri() . "/images/road-icon.jpg",
        'params' => array(
            array(
                'type' => '',
                'holder' => 'div',
                'class' => '',
                'heading' => __('Set Mobile Menu in Apperance - Menus - Manage Locations', 'handart'),
                'param_name' => 'no_settings'
            )
        )
    ));
    //Categories Menu
    vc_map(array(
        'name' => esc_html__('Categories Menu', 'handart'),
        'description' => __('Set Categories Menu in Apperance - Menus - Manage Locations', 'handart'),
        'base' => 'roadcategoriesmenu',
        'class' => '',
        'category' => esc_html__('Theme', 'handart'),
        "icon" => get_template_directory_uri() . "/images/road-icon.jpg",
        'params' => array()
    ));
    //Social Icons
    vc_map(array(
        'name' => esc_html__('Social Icons', 'handart'),
        'description' => __('Configure icons and links in Theme Options', 'handart'),
        'base' => 'roadsocialicons',
        'class' => '',
        'category' => esc_html__('Theme', 'handart'),
        "icon" => get_template_directory_uri() . "/images/road-icon.jpg",
        'params' => array()
    ));
    //Mini Cart
    vc_map(array(
        'name' => esc_html__('Mini Cart', 'handart'),
        'description' => __('Mini Cart', 'handart'),
        'base' => 'roadminicart',
        'class' => '',
        'category' => esc_html__('Theme', 'handart'),
        "icon" => get_template_directory_uri() . "/images/road-icon.jpg",
        'params' => array()
    ));
    //Products Search without dropdown
    vc_map(array(
        'name' => esc_html__('Product Search (No dropdown)', 'handart'),
        'description' => __('Product Search (No dropdown)', 'handart'),
        'base' => 'roadproductssearch',
        'class' => '',
        'category' => esc_html__('Theme', 'handart'),
        "icon" => get_template_directory_uri() . "/images/road-icon.jpg",
        'params' => array()
    ));
    //Products Search with dropdown
    vc_map(array(
        'name' => esc_html__('Product Search (Dropdown)', 'handart'),
        'description' => __('Product Search (Dropdown)', 'handart'),
        'base' => 'roadproductssearchdropdown',
        'class' => '',
        'category' => esc_html__('Theme', 'handart'),
        "icon" => get_template_directory_uri() . "/images/road-icon.jpg",
        'params' => array()
    ));
    //Image slider
    vc_map(array(
        'name' => esc_html__('Image slider', 'handart'),
        'description' => __('Upload images and links in Theme Options', 'handart'),
        'base' => 'image_slider',
        'class' => '',
        'category' => esc_html__('Theme', 'handart'),
        "icon" => get_template_directory_uri() . "/images/road-icon.jpg",
        'params' => array(
            array(
                'type' => 'dropdown',
                'holder' => 'div',
                'class' => '',
                'heading' => esc_html__('Number of rows', 'handart'),
                'param_name' => 'rows',
                'value' => array(
                    '1' => '1',
                    '2' => '2',
                    '3' => '3',
                    '4' => '4'
                )
            ),
            array(
                'type' => 'textfield',
                'holder' => 'div',
                'class' => '',
                'heading' => __('Number of columns (screen: over 1201px)', 'handart'),
                'param_name' => 'items_1201up',
                'value' => esc_html__('4', 'handart')
            ),
            array(
                'type' => 'textfield',
                'holder' => 'div',
                'class' => '',
                'heading' => __('Number of columns (screen: 992px - 1199px)', 'handart'),
                'param_name' => 'items_992_1199',
                'value' => esc_html__('4', 'handart')
            ),
            array(
                'type' => 'textfield',
                'holder' => 'div',
                'class' => '',
                'heading' => __('Number of columns (screen: 768px - 991px)', 'handart'),
                'param_name' => 'items_768_991',
                'value' => esc_html__('3', 'handart')
            ),
            array(
                'type' => 'textfield',
                'holder' => 'div',
                'class' => '',
                'heading' => __('Number of columns (screen: 640px - 767px)', 'handart'),
                'param_name' => 'items_640_767',
                'value' => esc_html__('2', 'handart')
            ),
            array(
                'type' => 'textfield',
                'holder' => 'div',
                'class' => '',
                'heading' => __('Number of columns (screen: 480px - 639px)', 'handart'),
                'param_name' => 'items_480_639',
                'value' => esc_html__('2', 'handart')
            ),
            array(
                'type' => 'textfield',
                'holder' => 'div',
                'class' => '',
                'heading' => __('Number of columns (screen: under 479px)', 'handart'),
                'param_name' => 'items_0_479',
                'value' => esc_html__('1', 'handart')
            ),
            array(
                'type' => 'dropdown',
                'heading' => __('Navigation', 'handart'),
                'param_name' => 'navigation',
                'value' => array(
                    __('Yes', 'handart') => true,
                    __('No', 'handart') => false
                )
            ),
            array(
                'type' => 'dropdown',
                'heading' => __('Pagination', 'handart'),
                'param_name' => 'pagination',
                'value' => array(
                    __('No', 'handart') => false,
                    __('Yes', 'handart') => true
                )
            ),
            array(
                'type' => 'textfield',
                'heading' => __('Item Margin (unit: pixel)', 'handart'),
                'param_name' => 'item_margin',
                'value' => 30
            ),
            array(
                'type' => 'textfield',
                'heading' => __('Slider speed number (unit: second)', 'handart'),
                'param_name' => 'speed',
                'value' => '500'
            ),
            array(
                'type' => 'checkbox',
                'value' => true,
                'heading' => __('Slider loop', 'handart'),
                'param_name' => 'loop'
            ),
            array(
                'type' => 'checkbox',
                'value' => true,
                'heading' => __('Slider Auto', 'handart'),
                'param_name' => 'auto'
            ),
            array(
                'type' => 'dropdown',
                'heading' => esc_html__('Style', 'handart'),
                'param_name' => 'style',
                'value' => array(
                    __('Style 1', 'handart') => 'style1'
                )
            ),
            array(
                'type' => 'dropdown',
                'heading' => esc_html__('Navigation style', 'handart'),
                'param_name' => 'navigation_style',
                'value' => array(
                    __('Navigation center horizontal', 'handart') => 'navigation-style1',
                    __('Navigation center horizontal 2', 'handart') => 'navigation-style2'
                )
            )
        )
    ));
    //Brand logos
    vc_map(array(
        'name' => esc_html__('Brand Logos', 'handart'),
        'description' => __('Upload images and links in Theme Options', 'handart'),
        'base' => 'ourbrands',
        'class' => '',
        'category' => esc_html__('Theme', 'handart'),
        "icon" => get_template_directory_uri() . "/images/road-icon.jpg",
        'params' => array(
            array(
                'type' => 'dropdown',
                'holder' => 'div',
                'class' => '',
                'heading' => esc_html__('Number of rows', 'handart'),
                'param_name' => 'rows',
                'value' => array(
                    '1' => '1',
                    '2' => '2',
                    '3' => '3',
                    '4' => '4'
                )
            ),
            array(
                'type' => 'textfield',
                'holder' => 'div',
                'class' => '',
                'heading' => __('Number of columns (screen: over 1201px)', 'handart'),
                'param_name' => 'items_1201up',
                'value' => esc_html__('5', 'handart')
            ),
            array(
                'type' => 'textfield',
                'holder' => 'div',
                'class' => '',
                'heading' => __('Number of columns (screen: 992px - 1199px)', 'handart'),
                'param_name' => 'items_992_1199',
                'value' => esc_html__('5', 'handart')
            ),
            array(
                'type' => 'textfield',
                'holder' => 'div',
                'class' => '',
                'heading' => __('Number of columns (screen: 768px - 991px)', 'handart'),
                'param_name' => 'items_768_991',
                'value' => esc_html__('4', 'handart')
            ),
            array(
                'type' => 'textfield',
                'holder' => 'div',
                'class' => '',
                'heading' => __('Number of columns (screen: 640px - 767px)', 'handart'),
                'param_name' => 'items_640_767',
                'value' => esc_html__('3', 'handart')
            ),
            array(
                'type' => 'textfield',
                'holder' => 'div',
                'class' => '',
                'heading' => __('Number of columns (screen: 480px - 639px)', 'handart'),
                'param_name' => 'items_480_639',
                'value' => esc_html__('2', 'handart')
            ),
            array(
                'type' => 'textfield',
                'holder' => 'div',
                'class' => '',
                'heading' => __('Number of columns (screen: under 479px)', 'handart'),
                'param_name' => 'items_0_479',
                'value' => esc_html__('1', 'handart')
            ),
            array(
                'type' => 'dropdown',
                'heading' => __('Navigation', 'handart'),
                'param_name' => 'navigation',
                'value' => array(
                    __('Yes', 'handart') => true,
                    __('No', 'handart') => false
                )
            ),
            array(
                'type' => 'dropdown',
                'heading' => __('Pagination', 'handart'),
                'param_name' => 'pagination',
                'value' => array(
                    __('No', 'handart') => false,
                    __('Yes', 'handart') => true
                )
            ),
            array(
                'type' => 'textfield',
                'heading' => __('Item Margin (unit: pixel)', 'handart'),
                'param_name' => 'item_margin',
                'value' => 0
            ),
            array(
                'type' => 'textfield',
                'heading' => __('Slider speed number (unit: second)', 'handart'),
                'param_name' => 'speed',
                'value' => '500'
            ),
            array(
                'type' => 'checkbox',
                'value' => true,
                'heading' => __('Slider loop', 'handart'),
                'param_name' => 'loop'
            ),
            array(
                'type' => 'checkbox',
                'value' => true,
                'heading' => __('Slider Auto', 'handart'),
                'param_name' => 'auto'
            ),
            array(
                'type' => 'dropdown',
                'heading' => esc_html__('Style', 'handart'),
                'param_name' => 'style',
                'value' => array(
                    __('Style 1', 'handart') => 'style1'
                )
            ),
            array(
                'type' => 'dropdown',
                'heading' => esc_html__('Navigation style', 'handart'),
                'param_name' => 'navigation_style',
                'value' => array(
                    __('Navigation center horizontal', 'handart') => 'navigation-style1',
                    __('Navigation center horizontal 2', 'handart') => 'navigation-style2'
                )
            )
        )
    ));
    //Latest posts
    vc_map(array(
        'name' => esc_html__('Latest Posts', 'handart'),
        'description' => __('List posts', 'handart'),
        'base' => 'latestposts',
        'class' => '',
        'category' => esc_html__('Theme', 'handart'),
        "icon" => get_template_directory_uri() . "/images/road-icon.jpg",
        'params' => array(
            array(
                'type' => 'textfield',
                'holder' => 'div',
                'class' => '',
                'heading' => esc_html__('Number of Posts', 'handart'),
                'param_name' => 'posts_per_page',
                'value' => esc_html__('10', 'handart')
            ),
            array(
                'type' => 'textfield',
                'holder' => 'div',
                'class' => '',
                'heading' => esc_html__('Category', 'handart'),
                'param_name' => 'category',
                'value' => esc_html__('0', 'handart'),
                'description' => esc_html__('Slug of the category (example: slug-1, slug-2). Default is 0 : show all posts', 'handart')
            ),
            array(
                'type' => 'dropdown',
                'holder' => 'div',
                'class' => '',
                'heading' => esc_html__('Image Scale', 'handart'),
                'param_name' => 'image',
                'value' => array(
                    'Wide' => 'wide',
                    'Square' => 'square'
                )
            ),
            array(
                'type' => 'textfield',
                'holder' => 'div',
                'class' => '',
                'heading' => esc_html__('Excerpt length', 'handart'),
                'param_name' => 'length',
                'value' => esc_html__('20', 'handart')
            ),
            array(
                'type' => 'dropdown',
                'holder' => 'div',
                'class' => '',
                'heading' => esc_html__('Number of columns', 'handart'),
                'param_name' => 'colsnumber',
                'value' => array(
                    '1' => '1',
                    '2' => '2',
                    '3' => '3',
                    '4' => '4'
                )
            ),
            array(
                'type' => 'checkbox',
                'heading' => __('Enable slider', 'handart'),
                'param_name' => 'enable_slider',
                'value' => true,
                'save_always' => true,
                'group' => __('Slider Options', 'handart')
            ),
            array(
                'type' => 'dropdown',
                'holder' => 'div',
                'class' => '',
                'heading' => esc_html__('Number of rows', 'handart'),
                'param_name' => 'rowsnumber',
                'group' => __('Slider Options', 'handart'),
                'value' => array(
                    '1' => '1',
                    '2' => '2',
                    '3' => '3',
                    '4' => '4'
                )
            ),
            array(
                'type' => 'textfield',
                'holder' => 'div',
                'class' => '',
                'heading' => __('Number of columns (screen: 992px - 1199px)', 'handart'),
                'param_name' => 'items_992_1199',
                'value' => esc_html__('3', 'handart'),
                'group' => __('Slider Options', 'handart')
            ),
            array(
                'type' => 'textfield',
                'holder' => 'div',
                'class' => '',
                'heading' => __('Number of columns (screen: 768px - 991px)', 'handart'),
                'param_name' => 'items_768_991',
                'value' => esc_html__('3', 'handart'),
                'group' => __('Slider Options', 'handart')
            ),
            array(
                'type' => 'textfield',
                'holder' => 'div',
                'class' => '',
                'heading' => __('Number of columns (screen: 640px - 767px)', 'handart'),
                'param_name' => 'items_640_767',
                'value' => esc_html__('2', 'handart'),
                'group' => __('Slider Options', 'handart')
            ),
            array(
                'type' => 'textfield',
                'holder' => 'div',
                'class' => '',
                'heading' => __('Number of columns (screen: 480px - 639px)', 'handart'),
                'param_name' => 'items_480_639',
                'value' => esc_html__('2', 'handart'),
                'group' => __('Slider Options', 'handart')
            ),
            array(
                'type' => 'textfield',
                'holder' => 'div',
                'class' => '',
                'heading' => __('Number of columns (screen: under 479px)', 'handart'),
                'param_name' => 'items_0_479',
                'value' => esc_html__('1', 'handart'),
                'group' => __('Slider Options', 'handart')
            ),
            array(
                'type' => 'dropdown',
                'heading' => __('Navigation', 'handart'),
                'param_name' => 'navigation',
                'save_always' => true,
                'group' => __('Slider Options', 'handart'),
                'value' => array(
                    __('Yes', 'handart') => true,
                    __('No', 'handart') => false
                )
            ),
            array(
                'type' => 'dropdown',
                'heading' => __('Pagination', 'handart'),
                'param_name' => 'pagination',
                'save_always' => true,
                'group' => __('Slider Options', 'handart'),
                'value' => array(
                    __('No', 'handart') => false,
                    __('Yes', 'handart') => true
                )
            ),
            array(
                'type' => 'textfield',
                'heading' => __('Item Margin (unit: pixel)', 'handart'),
                'param_name' => 'item_margin',
                'value' => 30,
                'save_always' => true,
                'group' => __('Slider Options', 'handart')
            ),
            array(
                'type' => 'textfield',
                'heading' => __('Slider speed number (unit: second)', 'handart'),
                'param_name' => 'speed',
                'value' => '500',
                'save_always' => true,
                'group' => __('Slider Options', 'handart')
            ),
            array(
                'type' => 'checkbox',
                'heading' => __('Slider loop', 'handart'),
                'param_name' => 'loop',
                'value' => true,
                'group' => __('Slider Options', 'handart')
            ),
            array(
                'type' => 'checkbox',
                'heading' => __('Slider Auto', 'handart'),
                'param_name' => 'auto',
                'value' => true,
                'group' => __('Slider Options', 'handart')
            ),
            array(
                'type' => 'dropdown',
                'heading' => esc_html__('Navigation style', 'handart'),
                'param_name' => 'navigation_style',
                'group' => __('Slider Options', 'handart'),
                'value' => array(
                    __('Navigation center horizontal', 'handart') => 'navigation-style1',
                    __('Navigation center horizontal 2', 'handart') => 'navigation-style2'
                )
            )
        )
    ));
    //Testimonials
    vc_map(array(
        'name' => esc_html__('Testimonials', 'handart'),
        'description' => __('Testimonial slider', 'handart'),
        'base' => 'woothemes_testimonials',
        'class' => '',
        'category' => esc_html__('Theme', 'handart'),
        "icon" => get_template_directory_uri() . "/images/road-icon.jpg",
        'params' => array(
            array(
                'type' => 'textfield',
                'holder' => 'div',
                'class' => '',
                'heading' => esc_html__('Number of testimonial', 'handart'),
                'param_name' => 'limit',
                'value' => esc_html__('10', 'handart')
            ),
            array(
                'type' => 'dropdown',
                'holder' => 'div',
                'class' => '',
                'heading' => esc_html__('Display Author', 'handart'),
                'param_name' => 'display_author',
                'value' => array(
                    'Yes' => 'true',
                    'No' => 'false'
                )
            ),
            array(
                'type' => 'dropdown',
                'holder' => 'div',
                'class' => '',
                'heading' => esc_html__('Display Avatar', 'handart'),
                'param_name' => 'display_avatar',
                'value' => array(
                    'Yes' => 'true',
                    'No' => 'false'
                )
            ),
            array(
                'type' => 'textfield',
                'holder' => 'div',
                'class' => '',
                'heading' => esc_html__('Avatar image size', 'handart'),
                'param_name' => 'size',
                'value' => '150',
                'description' => esc_html__('Avatar image size in pixels. Default is 150', 'handart')
            ),
            array(
                'type' => 'dropdown',
                'holder' => 'div',
                'class' => '',
                'heading' => esc_html__('Display URL', 'handart'),
                'param_name' => 'display_url',
                'value' => array(
                    'Yes' => 'true',
                    'No' => 'false'
                )
            ),
            array(
                'type' => 'textfield',
                'holder' => 'div',
                'class' => '',
                'heading' => esc_html__('Category', 'handart'),
                'param_name' => 'category',
                'value' => esc_html__('0', 'handart'),
                'description' => esc_html__('Slug of the category. Default is 0 : show all testimonials', 'handart')
            )
        )
    ));
    //Counter
    vc_map(array(
        'name' => esc_html__('Counter', 'handart'),
        'description' => __('Counter', 'handart'),
        'base' => 'handart_counter',
        'class' => '',
        'category' => esc_html__('Theme', 'handart'),
        "icon" => get_template_directory_uri() . "/images/road-icon.jpg",
        'params' => array(
            array(
                'type' => 'attach_image',
                'holder' => 'div',
                'class' => '',
                'heading' => esc_html__('Image icon', 'handart'),
                'param_name' => 'image',
                'value' => '',
                'description' => esc_html__('Upload icon image', 'handart')
            ),
            array(
                'type' => 'textfield',
                'holder' => 'div',
                'class' => '',
                'heading' => esc_html__('Number', 'handart'),
                'param_name' => 'number',
                'value' => ''
            ),
            array(
                'type' => 'textfield',
                'holder' => 'div',
                'class' => '',
                'heading' => esc_html__('Text', 'handart'),
                'param_name' => 'text',
                'value' => ''
            ),
            array(
                'type' => 'dropdown',
                'heading' => esc_html__('Style', 'handart'),
                'param_name' => 'style',
                'value' => array(
                    __('Style 1', 'handart') => 'style1'
                )
            )
        )
    ));
    //Heading title
    vc_map(array(
        'name' => esc_html__('Heading Title', 'handart'),
        'description' => __('Heading Title', 'handart'),
        'base' => 'roadthemes_title',
        'class' => '',
        'category' => esc_html__('Theme', 'handart'),
        "icon" => get_template_directory_uri() . "/images/road-icon.jpg",
        'params' => array(
            array(
                'type' => 'textarea',
                'holder' => 'div',
                'class' => '',
                'heading' => esc_html__('Heading title element', 'handart'),
                'param_name' => 'heading_title',
                'value' => 'Title'
            ),
            array(
                'type' => 'textarea',
                'holder' => 'div',
                'class' => '',
                'heading' => esc_html__('Heading sub-title element', 'handart'),
                'param_name' => 'sub_heading_title',
                'value' => ''
            ),
            array(
                'type' => 'dropdown',
                'heading' => esc_html__('Style', 'handart'),
                'param_name' => 'style',
                'value' => array(
                    __('Style 1 (Default)', 'handart') => 'style1',
                    __('Style 2', 'handart') => 'style2',
                    __('Style 3 (Footer)', 'handart') => 'style3'
                )
            )
        )
    ));
    //Countdown
    vc_map(array(
        'name' => esc_html__('Countdown', 'handart'),
        'description' => __('Countdown', 'handart'),
        'base' => 'roadthemes_countdown',
        'class' => '',
        'category' => esc_html__('Theme', 'handart'),
        "icon" => get_template_directory_uri() . "/images/road-icon.jpg",
        'params' => array(
            array(
                'type' => 'textfield',
                'holder' => 'div',
                'class' => '',
                'heading' => esc_html__('End date (day)', 'handart'),
                'param_name' => 'countdown_day',
                'value' => '1'
            ),
            array(
                'type' => 'textfield',
                'holder' => 'div',
                'class' => '',
                'heading' => esc_html__('End date (month)', 'handart'),
                'param_name' => 'countdown_month',
                'value' => '1'
            ),
            array(
                'type' => 'textfield',
                'holder' => 'div',
                'class' => '',
                'heading' => esc_html__('End date (year)', 'handart'),
                'param_name' => 'countdown_year',
                'value' => '2020'
            ),
            array(
                'type' => 'dropdown',
                'heading' => esc_html__('Style', 'handart'),
                'param_name' => 'style',
                'value' => array(
                    __('Style 1', 'handart') => 'style1'
                )
            )
        )
    ));
}
?>