<?php
/**
 * Template Name: Portfolio Template
 *
 * Description: Portfolio page template
 *
 * @package WordPress
 * @subpackage Handart_Theme
 * @since Handart 1.0
 */
$handart_opt = get_option( 'handart_opt' );
get_header();
?>
<div class="main-container portfolio-page">
	<div class="breadcrumb-container">
		<div class="container">
			<header class="entry-header">
				<h2 class="entry-title"><?php the_title(); ?></h2>
			</header>
			<?php Handart_Class::handart_breadcrumb(); ?> 
		</div>
	</div>
	<div class="page-content portfolio-container">
		<?php while ( have_posts() ) : the_post(); ?>
			<?php get_template_part( 'content', 'page' ); ?>
		<?php endwhile; ?>
		<!-- brand logo -->
	</div>
	<?php 
		if(isset($handart_opt['inner_brand']) && function_exists('handart_brands_shortcode') && shortcode_exists( 'Handart' ) ){
			if($handart_opt['inner_brand'] && isset($handart_opt['brand_logos'][0]) && $handart_opt['brand_logos'][0]['thumb']!=null) { ?>
				<div class="inner-brands">
					<div class="container">
						<?php if(isset($handart_opt['inner_brand_title']) && $handart_opt['inner_brand_title']!=''){ ?>
							<div class="title">
								<h3><?php echo esc_html( $handart_opt['inner_brand_title'] ); ?></h3>
							</div>
						<?php } ?>
						<?php echo do_shortcode('[Handart]'); ?>
					</div>
				</div>
			<?php }
		}
	?>
	<!-- end brand logo -->  
</div>
<?php get_footer(); ?>