<?php
/**
 * The Template for displaying all single posts
 *
 * @package WordPress
 * @subpackage Handart_Theme
 * @since Handart 1.0
 */
$handart_opt = get_option( 'handart_opt' );
get_header();
$handart_bloglayout = 'sidebar';
if(isset($handart_opt['blog_layout']) && $handart_opt['blog_layout']!=''){
	$handart_bloglayout = $handart_opt['blog_layout'];
}
if(isset($_GET['layout']) && $_GET['layout']!=''){
	$handart_bloglayout = $_GET['layout'];
}
$handart_blogsidebar = 'right';
if(isset($handart_opt['sidebarblog_pos']) && $handart_opt['sidebarblog_pos']!=''){
	$handart_blogsidebar = $handart_opt['sidebarblog_pos'];
}
if(isset($_GET['sidebar']) && $_GET['sidebar']!=''){
	$handart_blogsidebar = $_GET['sidebar'];
}
if ( !is_active_sidebar( 'sidebar-1' ) )  {
	$handart_bloglayout = 'nosidebar';
}
$main_column_class = NULL;
switch($handart_bloglayout) {
	case 'sidebar':
		$handart_blogclass = 'blog-sidebar';
		$handart_blogcolclass = 9;
		$main_column_class = 'main-column';
		break;
	default:
		$handart_blogclass = 'blog-nosidebar'; //for both fullwidth and no sidebar
		$handart_blogcolclass = 12;
		$handart_blogsidebar = 'none';
}
?>
<div class="main-container">
	<div class="breadcrumb-container">
		<div class="container">
			<header class="entry-header">
				<h2 class="entry-title"><?php if(isset($handart_opt) && ($handart_opt !='')) { echo esc_html($handart_opt['blog_header_text']); } else { esc_html_e('Blog', 'handart');}  ?></h2>
			</header>
			<?php Handart_Class::handart_breadcrumb(); ?> 
		</div>
	</div>
	<div class="container">
		<div class="row">
			<?php
			$customsidebar = get_post_meta( $post->ID, '_handart_custom_sidebar', true );
			$customsidebar_pos = get_post_meta( $post->ID, '_handart_custom_sidebar_pos', true );
			if($customsidebar != ''){
				if($customsidebar_pos == 'left' && is_active_sidebar('sidebar-1') ) {
					echo '<div id="secondary" class="col-12 col-lg-3">';
						dynamic_sidebar( $customsidebar );
					echo '</div>';
				} 
			} else {
				if($handart_blogsidebar=='left' && is_active_sidebar( 'sidebar-single_product' )) {
					get_sidebar();
				}
			} ?>
			<div class="col-12 <?php echo 'col-lg-'.$handart_blogcolclass; ?> <?php echo ''.$main_column_class; ?>">
				<div class="page-content blog-page single <?php echo esc_attr($handart_blogclass); if($handart_blogsidebar=='left') {echo ' left-sidebar'; } if($handart_blogsidebar=='right') {echo ' right-sidebar'; } ?>">
					<?php while ( have_posts() ) : the_post(); ?>
						<?php get_template_part( 'content', get_post_format() ); ?>
						<?php comments_template( '', true ); ?>
					<?php endwhile; // end of the loop. ?>
				</div>
			</div>
			<?php
			if($customsidebar != ''){
				if($customsidebar_pos == 'right' && is_active_sidebar( $customsidebar ) ) {
					echo '<div id="secondary" class="col-12 col-lg-3">';
						dynamic_sidebar( $customsidebar );
					echo '</div>';
				} 
			} else {
				if($handart_blogsidebar=='right' && is_active_sidebar('sidebar-1')) {
					get_sidebar();
				}
			} ?>
		</div>
	</div> 
	<!-- brand logo -->
	<?php 
		if(isset($handart_opt['inner_brand']) && function_exists('handart_brands_shortcode') && shortcode_exists( 'ourbrands' ) ){
			if($handart_opt['inner_brand'] && isset($handart_opt['brand_logos'][0]) && $handart_opt['brand_logos'][0]['thumb']!=null) { ?>
				<div class="inner-brands">
					<div class="container">
						<?php if(isset($handart_opt['inner_brand_title']) && $handart_opt['inner_brand_title']!=''){ ?>
							<div class="heading-title style1 ">
								<h3><?php echo esc_html( $handart_opt['inner_brand_title'] ); ?></h3>
							</div>
						<?php } ?>
						<?php echo do_shortcode('[ourbrands]'); ?>
					</div>
				</div>
			<?php }
		}
	?>
	<!-- end brand logo --> 
</div>
<?php get_footer(); ?>