<?php
/**
 * Related Products
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/single-product/related.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see 	    https://docs.woocommerce.com/document/template-structure/
 * @author 		WooThemes
 * @package 	WooCommerce/Templates
 * @version     30.0.0
 */
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}
global $product, $woocommerce, $woocommerce_loop;
$handart_opt = get_option( 'handart_opt' );
$woocommerce_loop['columns'] = 1;
if ( $related_products ) : ?>
	<section class="roadthemes-slider roadthemes-products related products">
		<div class="heading-title style1 ">
			<h3><?php if(isset($handart_opt['related_product_title']) && $handart_opt['related_product_title']!='' ) { echo esc_html($handart_opt['related_product_title']); } else { esc_html_e('Related Products', 'handart'); } ?></h3>
			<p><?php echo esc_html_e('Mirum est notare quam littera gothica, quam nunc putamus parum claram anteposuerit litterarum formas.', 'handart');?></p>
		</div>
		<?php woocommerce_product_loop_start(); ?>
			<?php foreach ( $related_products as $related_product ) : ?>
				<?php
				 	$post_object = get_post( $related_product->get_id() );
					setup_postdata( $GLOBALS['post'] =& $post_object );
					wc_get_template_part( 'content', 'product' ); ?>
			<?php endforeach; ?>
		<?php woocommerce_product_loop_end(); ?>
	</section>
<?php endif;
wp_reset_postdata();